Name:			libspectrum
Version: 		0.5.0.1
%define distsuffix	plf
Release:		%mkrel 1

%define lib_major	7
%define lib_name	%mklibname spectrum %{lib_major}
%define devel_name	%mklibname spectrum -d
%define old_lib_name	%mklibname spectrum 5
%define older_lib_name	%mklibname spectrum 2
%define old_devel_name	%mklibname spectrum 2 -d

Summary:	Library to make the input and output of ZX Spectrum emulator files easier
License:	GPLv2+
Group:		System/Libraries
URL:		http://fuse-emulator.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz

BuildRequires:	libz-devel
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libglib2-devel
BuildRequires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
libspectrum is a fairly simple library designed to make the handling
of various ZX Spectrum emulator-related file formats easy.  So far it
handles:

* Snapshots: .z80, .szx, .sna (all read/write), .zxs, .sp., .snp and
  +D snapshots (read only).
* Tape images: .tzx, .tap (read/write) and Warajevo .tap (read only).
* Input recordings: .rzx (read/write).
* Timex cartridges: .dck (read only).
* IDE hard disk images: .hdf (read/write).

This package is in PLF because it contains emulator related software.

%package -n %{lib_name}
Summary:	A library to make the input and output of ZX Spectrum emulator files easier
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{old_lib_name}
Obsoletes:	%{older_lib_name}

%description -n %{lib_name}
libspectrum is a library which is designed to make the input and
output of ZX Spectrum emulator files slightly easier than it would be
otherwise. It should hopefully compile and run on Unix-based systems,
Win32 and Mac OS X.

Currently supported are:

* Snapshots: .z80, .szx, .sna (all read/write), .zxs, .sp., .snp and
  +D snapshots (read only).
* Tape images: .tzx, .tap (read/write) and Warajevo .tap (read only).
* Input recordings: .rzx (read/write).
* Timex cartridges: .dck (read only).
* IDE hard disk images: .hdf (read/write).

This package provides the libraries to handle ZX Spectrum emulator files.

This package is in PLF because it contains emulator related software.

%package -n %{devel_name}
Summary:	Development files for programs which will use the libspectrum library
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{old_devel_name}

%description -n %{devel_name}
This package provides the necessary development libraries and include
files to allow you to develop with libspectrum.

This package is in PLF because it contains emulator related software.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(0644,root,root,0755)
%_libdir/*.so.*
%doc ChangeLog THANKS COPYING AUTHORS

%files -n %{devel_name}
%defattr(0644,root,root,0755)
%doc COPYING README doc/libspectrum.txt
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*.h
%{_mandir}/*/*

%changelog
* Sat Jan 17 2009 Guillaume Bedot <littletux@zarb.org> 0.5.0.1-1plf2009.1
- 0.5.0.1

* Thu Jan  8 2009 Guillaume Bedot <littletux@zarb.org> 0.5.0-1plf2009.1
- 0.5.0

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.4.0-1plf2008.1
- 0.4.0

* Wed Aug 22 2007 Olivier Thauvin <nanardon@zarb.org> 0.3.0.1-2plf2008.0
- rebuild
- apply new devel's name policy

* Mon May 14 2007 Guillaume Bedot <littletux@zarb.org> 0.3.0.1-1plf2008.0
- 0.3.0.1

* Wed May  2 2007 Guillaume Bedot <littletux@zarb.org> 0.3.0-1plf2008.0
- 0.3.0

* Sat Apr 23 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2.2-4plf
- changed description

* Tue Nov 16 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2.2-3plf
- removed libtoolize patch from spec file

* Tue Jul 27 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2.2-2plf
- disabled libtoolize, it made .so file names loose the .so part when
  building this for Mandrakelinux 10.0

* Mon Jul 19 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2.2-1plf
- new version

* Fri May 7 2004 Miguel Barrio Orsikowsky <mik@forward.to> 0.2.1-2plf
- introduce in PLF
- moved README to devel package
- changed spec file to meet Mandrake's skel spec
- removed static-devel package
- repackaged sources to bz2 format
- changed libglib-devel to libglib2-devel in BuildRequires

* Wed Apr 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.1-1mdk
- 0.2.1

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.0.1-3mdk
- introduce in contrib

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.2.0.1-2mdk
- made lots of fixes and cosmetic changes to the spec file

* Thu Sep 2 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.2.0.1-1mdk
- new version

* Sun Jul 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-4mdk
- fixed crashes when loading certain snapshots into +2A and +3
- fixed a small thinko in the RZX code which could cause segfaults

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-3mdk
- added BuildRequires

* Tue May 13 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-2mdk
- unified %%changelog

* Sun Apr 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-1mdk
- new version

* Thu Apr 24 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.0-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1
